using System;
using System.Net.NetworkInformation;

internal sealed class Delegate693 : MulticastDelegate
{
	public extern OperationalStatus Invoke(object object_0);

	public static OperationalStatus smethod_0(object object_0, Delegate693 delegate693_1)
	{
		return delegate693_1(object_0);
	}

	public extern Delegate693(object object_0, IntPtr intptr_0);

	static Delegate693()
	{
		Class10.smethod_13(typeof(Delegate693).TypeHandle);
	}

	internal static Delegate693 delegate693_0;
}
